Index: mkdb/index_file.c
===================================================================
RCS file: /home/cvs/rwhoisd/mkdb/index_file.c,v
retrieving revision 1.5
retrieving revision 1.6
diff -c -r1.5 -r1.6
*** index_file.c	1998/01/30 00:25:01	1.5
--- index_file.c	1998/02/12 22:17:14	1.6
***************
*** 35,60 ****
  }
  
  static char *
  generate_index_file_tmpname(type, prefix)
    mkdb_file_type type;
    char           *prefix;
  {
    char           tmpname[MAX_FILE + 1];
-   char           timestamp_buffer[7];
-   struct tm      *tm;
-   time_t         t;
    
    if (NOT_STR_EXISTS(prefix))
    {
      prefix = INDEX_DEFAULT_BASE_NAME;
    }
  
!   time(&t);
!   tm = gmtime(&t);
! 
!   strftime(timestamp_buffer, 7, "%H%M%S", tm);
!   
!   sprintf(tmpname, "%s-%stmp.XXXXXX", prefix, timestamp_buffer);
    mktemp(tmpname);
    strcat(tmpname, ".ndx");
    
--- 35,71 ----
  }
  
  static char *
+ translate_type_to_str(mkdb_type)
+   mkdb_file_type mkdb_type;
+ {
+   switch(mkdb_type)
+   {
+   case MKDB_EXACT_INDEX_FILE:
+     return("exact");
+   case MKDB_CIDR_INDEX_FILE:
+     return("cidr");
+   case MKDB_SOUNDEX_INDEX_FILE:
+     return("soundex");
+   default:
+     return("");
+   }
+ }
+ 
+ static char *
  generate_index_file_tmpname(type, prefix)
    mkdb_file_type type;
    char           *prefix;
  {
    char           tmpname[MAX_FILE + 1];
    
    if (NOT_STR_EXISTS(prefix))
    {
      prefix = INDEX_DEFAULT_BASE_NAME;
    }
  
!   /* This should generate a unique file name since there should only be
!      one index file per type per process at any given time. */
!   sprintf(tmpname, "%s-%s-tmp.XXXXXX", prefix, translate_type_to_str(type));
    mktemp(tmpname);
    strcat(tmpname, ".ndx");
    
